Package org.eclipse.mat.report

# Class SpecFactory

java.lang.Object
org.eclipse.mat.util.RegistryReader<SpecFactory.Report>
org.eclipse.mat.report.SpecFactory

All Implemented Interfaces:
  `IExtensionChangeHandler`

public final class SpecFactory extends RegistryReader<SpecFactory.Report>
Builds a full report based on an xml report definition, which could specify several queries to be run.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`SpecFactory.Report`

## Method Summary

Modifier and Type
Method
Description
`Spec`
`create(File specFile)`
`Spec`
`create(String extensionIdentifier)`
`Spec`
`create(SpecFactory.Report report)`
`static final SpecFactory`
`instance()`
`void`
`resolve(Spec master)`

### Methods inherited from class org.eclipse.mat.util.RegistryReader

`addExtension, delegates, removeExtension`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### instance

public static final SpecFactory instance()

### create

public Spec create(SpecFactory.Report report) throws IOException

Throws:
  `IOException`

### create

public Spec create(String extensionIdentifier) throws IOException

Throws:
  `IOException`

### create

public Spec create(File specFile) throws IOException

Throws:
  `IOException`

### resolve

public void resolve(Spec master) throws IOException

Throws:
  `IOException`